DROP TABLE IF EXISTS "main"."actions"
CREATE TABLE [actions] ([id] INTEGER PRIMARY KEY, [deviceId] INTEGER, [deviceType] INTEGER, [deviceSN] VARCHAR(60), [keyId] INTEGER, [routePos] INTEGER, [action] INTEGER, [delayTime] INTEGER, [addition] VARCHAR)
DROP TABLE IF EXISTS "main"."brands"
CREATE TABLE [brands] ([id] INTEGER PRIMARY KEY, [name] VARCHAR(15), [pinyin] VARCHAR(100))
DROP TABLE IF EXISTS "main"."clock"
CREATE TABLE [clock] ([id] INTEGER PRIMARY KEY, [name] VARCHAR(15), [startTime] VARCHAR(10) NOT NULL, [endTime] VARCHAR(10), [dates] TEXT, [week] TINYINT DEFAULT 0)
DROP TABLE IF EXISTS "main"."count_down"
CREATE TABLE "count_down" ("deviceId"  INTEGER,"deviceType"  INTEGER,"deviceSN"  VARCHAR(60),"routePos"  INTEGER,"countdownTime"  INTEGER,"updateTime"  DOUBLE,"countDownTimeMillis"  DOUBLE,PRIMARY KEY ("deviceId" ASC, "deviceType" ASC, "routePos" ASC))
DROP TABLE IF EXISTS "main"."device_info"
CREATE TABLE [device_info] ([id] INTEGER NOT NULL, [deviceType] INTEGER NOT NULL DEFAULT 0, [subType] INTEGER DEFAULT 0, [deviceName] VARCHAR(15), [deviceSN] VARCHAR(60), [rcId] INTEGER DEFAULT 0, [roomId] INTEGER DEFAULT 0, [routeName1] VARCHAR(15), [routeName2] VARCHAR(15), [routeName3] VARCHAR(15), [routeName4] VARCHAR(15), [routeName5] VARCHAR(15), [routeName6] VARCHAR(15), [routeName7] VARCHAR(15), [routeName8] VARCHAR(15), [status1] INTEGER DEFAULT 0, [status2] INTEGER DEFAULT 0, [status3] INTEGER DEFAULT 0, [status4] INTEGER DEFAULT 0, [status5] INTEGER DEFAULT 0, [status6] INTEGER DEFAULT 0, [status7] INTEGER DEFAULT 0, [status8] INTEGER DEFAULT 0,  [weight] INTEGER DEFAULT 0, [x] FLOAT DEFAULT 0, [y] FLOAT DEFAULT 0, [w] FLOAT DEFAULT 0, [h] FLOAT DEFAULT 0, [page] INTEGER DEFAULT 0, [dateTime] VARCHAR(20), [updateFlag] TINYINT DEFAULT 0, CONSTRAINT [sqlite_autoindex_device_info_1] PRIMARY KEY ([id], [deviceType]))
DROP TABLE IF EXISTS "main"."device_pos"
CREATE TABLE [device_pos] ([deviceId] INTEGER NOT NULL, [deviceType] INTEGER, [x] DOUBLE DEFAULT 0, [y] DOUBLE DEFAULT 0, [w] DOUBLE DEFAULT 0, [h] DOUBLE DEFAULT 0, [saveTime] DATETIME(25) DEFAULT (datetime('now','localtime')), CONSTRAINT [sqlite_autoindex_device_pos_1] PRIMARY KEY ([deviceId], [deviceType]))
DROP TABLE IF EXISTS "main"."device_trigger"
CREATE TABLE [device_trigger] ([id] INTEGER PRIMARY KEY, [name] VARCHAR(15), [deviceSN] VARCHAR(60) NOT NULL, [routePos] INTEGER DEFAULT 1, [action] INTEGER, [enableTime] TINYINT DEFAULT 0, [startTime] VARCHAR(10), [endTime] VARCHAR(10), [dates] TEXT, [week] TINYINT DEFAULT 0)
DROP TABLE IF EXISTS "main"."map_trigger"
CREATE TABLE [map_trigger] ([id] INTEGER PRIMARY KEY, [stationId] INTEGER, [stationName] VARCHAR(50), [name] VARCHAR(15), [lantitude] DOUBLE, [longitude] DOUBLE, [address] VARCHAR(255), [direction] TINYINT DEFAULT 1,  [distance] DOUBLE, [enableTime] TINYINT DEFAULT 0, [startTime] VARCHAR(10), [endTime] VARCHAR(10), [dates] TEXT, [week] TINYINT)
DROP TABLE IF EXISTS "main"."message"
CREATE TABLE "message" ("user_id"  INTEGER NOT NULL,"id"  VARCHAR(20) NOT NULL,"title"  VARCHAR(200),"msg"  VARCHAR(255),"extras"  VARCHAR(255),"time"  VARCHAR(30),"is_read"  VARCHAR(2),"msg_type"  VARCHAR(2),PRIMARY KEY ("id" ASC))
DROP TABLE IF EXISTS "main"."model"
CREATE TABLE [model] ([id] INTEGER PRIMARY KEY, [deviceType] INTEGER DEFAULT 0, [name] VARCHAR(15), [rcId] INT64 DEFAULT 0, [pinyin] VARCHAR(100))
DROP TABLE IF EXISTS "main"."rc_info"
CREATE TABLE [rc_info] ([id] INTEGER PRIMARY KEY,  [name] VARCHAR(15), [imgUrl] VARCHAR(255),  [rcType] TINYINT DEFAULT 0, [isSystem] TINYINT DEFAULT 1, [parentId] INTEGER DEFAULT 0)
DROP TABLE IF EXISTS "main"."rc_key"
CREATE TABLE "rc_key" ("id"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,"name"  VARCHAR(15),"keyType"  TINYINT DEFAULT 0,"keyCode"  TEXT,"keyCode2"  TEXT,"rcId"  INTEGER NOT NULL DEFAULT 0,"isSystem"  TINYINT DEFAULT 1,"propertyId"  INTEGER DEFAULT 0,"parentId"  INTEGER DEFAULT 0,"imgUrl"  VARCHAR(255),"keylen"  INTEGER,"codeSize"  INTEGER)
DROP TABLE IF EXISTS "main"."room"
CREATE TABLE [room] ( [id] INTEGER NOT NULL PRIMARY KEY,  [name] VARCHAR(50), [familyId] INTEGER, [scenePage] INTEGER DEFAULT 3, [sceneImg1] VARCHAR(255), [sceneImg2] VARCHAR(255), [sceneImg3] VARCHAR(255), [sceneImg4] VARCHAR(255), [sceneImg5] VARCHAR(255))
DROP TABLE IF EXISTS "main"."scene_action"
CREATE TABLE [scene_action] ([profilesId] INTEGER,  [actionId] INTEGER, [sceneId] INTEGER, CONSTRAINT [sqlite_autoindex_scene_action_1] PRIMARY KEY ([profilesId], [actionId], [sceneId]))
DROP TABLE IF EXISTS "main"."scene_condition"
CREATE TABLE [scene_condition] ([profilesId] INTEGER NOT NULL, [conditionId] INTEGER NOT NULL, [conditionType] INTEGER NOT NULL, CONSTRAINT [sqlite_autoindex_scene_condition_1] PRIMARY KEY ([profilesId], [conditionId], [conditionType]))
DROP TABLE IF EXISTS "main"."scenes"
CREATE TABLE [scenes] ([id] INTEGER NOT NULL PRIMARY KEY,  [name] VARCHAR(15), [sceneType] INTEGER DEFAULT 1, [conditionScene] VARCHAR(1024) NOT NULL, [runScene] VARCHAR(1024) NOT NULL,  [enable] TINYINT DEFAULT 1)
DROP TABLE IF EXISTS "main"."user_config"
CREATE TABLE [user_config] ( [userId] INTEGER NOT NULL PRIMARY KEY, [notifyEnable] TINYINT DEFAULT 1, [notifyDuration] INTEGER DEFAULT 1,  [notifySoundEnable] TINYINT DEFAULT 1, [notifySound] VARCHAR(255),  [notifyVibrateEnable] TINYINT DEFAULT 0, [lockEnable] TINYINT DEFAULT 0, [lockPwd] VARCHAR(255), [lockErrs] TINYINT DEFAULT 0, [lockStealth] TINYINT DEFAULT 1, [vibrateEnable] TINYINT DEFAULT 1, [vibrateSound] VARCHAR(255))
DROP TABLE IF EXISTS "main"."user_devices"
CREATE TABLE [user_devices] ([roomId] INTEGER NOT NULL, [deviceId] INTEGER NOT NULL, [deviceType] INTEGER NOT NULL, CONSTRAINT [sqlite_autoindex_user_devices_1] PRIMARY KEY ([roomId], [deviceId], [deviceType]))
DROP TABLE IF EXISTS "main"."user_family"
CREATE TABLE [user_family] ([userId] INTEGER NOT NULL, [familyId] INTEGER NOT NULL, [familyName] VARCHAR(50) DEFAULT null, [CCSN] VARCHAR(60) NOT NULL DEFAULT null, [deviceType] INTEGER NOT NULL DEFAULT 0, [serverIP] VARCHAR(255) DEFAULT null, [weight] INTEGER DEFAULT 0,  [roleId]  INTEGER DEFAULT 0, CONSTRAINT [sqlite_autoindex_user_family_1] PRIMARY KEY ([userId], [familyId]))
DROP TABLE IF EXISTS "main"."user_info"
CREATE TABLE [user_info] ([userId] INTEGER NOT NULL PRIMARY KEY, [userName] VARCHAR(20) NOT NULL, [userPwd] VARCHAR(255) NOT NULL, [remenberPwd] TINYINT DEFAULT 1, [phoneNumber] VARCHAR(15) DEFAULT null,  [sex] TINYINT DEFAULT 0,  [birthday] VARCHAR(10) DEFAULT null,  [email] VARCHAR(255) DEFAULT null, [signature] VARCHAR(50) DEFAULT null,  [portait] VARCHAR(255) DEFAULT null, [status] TINYINT DEFAULT 0, [blackFlag] TINYINT DEFAULT 0,  [hasFamily] TINYINT DEFAULT 0,  [hasCC] TINYINT DEFAULT 0, [role] INTEGER DEFAULT 0, [updateTime] DATETIME DEFAULT (datetime('now','localtime')))
DROP TABLE IF EXISTS "main"."user_rc"
CREATE TABLE [user_rc] ( [id] INTEGER PRIMARY KEY, [rcId] INTEGER NOT NULL, [roomId] INTEGER NOT NULL, [rcName] VARCHAR(15),  [shared] TINYINT DEFAULT 0)
DROP TABLE IF EXISTS "main"."wifi_trigger"
CREATE TABLE [wifi_trigger] ( [id] INTEGER PRIMARY KEY,  [stationId] INTEGER, [ssid] VARCHAR(255), [action] INTEGER, [enableTime] TINYINT DEFAULT 0, [startTime] VARCHAR(10), [endTime] VARCHAR(10),  [dates] TEXT, [week] TINYINT DEFAULT 0)
DROP TABLE IF EXISTS "main"."rcDevice_tran"
CREATE TABLE "rcDevice_tran" ("rcId"  INTEGER NOT NULL,"tranDeviceSN"  VARCHAR(20), "tranDeviceName"  VARCHAR(255))
DROP TABLE IF EXISTS "main"."airDevice_lastState"
CREATE TABLE "airDevice_lastState" ("userId"  INTEGER NOT NULL DEFAULT 0,"rcId"  INTEGER NOT NULL DEFAULT 0,"keyId"  INTEGER DEFAULT 0,"tag"  INTEGER DEFAULT 0,"wind"  INTEGER NOT NULL DEFAULT 0,"model"  INTEGER NOT NULL DEFAULT 0,"temp"  INTEGER NOT NULL DEFAULT 26,PRIMARY KEY ("userId" ASC, "rcId" ASC))
DROP TABLE IF EXISTS "main"."rc_define"
CREATE TABLE "rc_define" ("id"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,"name"  VARCHAR(255),"keyCode"  TEXT,"keyType"  INTEGER,"rrId"  INTEGER NOT NULL,"propertyId"  INTEGER,"isSystem"  INTEGER,"parentId"  INTEGER,"keylen"  INTEGER,"codeSize"  INTEGER)
DROP TABLE IF EXISTS "main"."outlet_countDown"
CREATE TABLE "outlet_countDown" ("sn"  VARCHAR(255) NOT NULL,"time"  INTEGER,PRIMARY KEY ("sn" ASC))